coap_socket_t Struct Reference

`#include <coap_io.h>`

Collaboration diagram for coap_socket_t:
[legend]

## Data Fields

coap_fd_t | fd
coap_socket_flags_t | flags
struct coap_session_t * | session
struct coap_endpoint_t * | endpoint

## Detailed Description

Definition at line 54 of file coap_io.h.

## Field Documentation

## endpoint

struct coap_endpoint_t* coap_socket_t::endpoint

Definition at line 67 of file coap_io.h.

## fd

coap_fd_t coap_socket_t::fd

Definition at line 60 of file coap_io.h.

## flags

coap_socket_flags_t coap_socket_t::flags

Definition at line 62 of file coap_io.h.

## session

struct coap_session_t* coap_socket_t::session

Definition at line 63 of file coap_io.h.

The documentation for this struct was generated from the following file:

- coap_io.h